Subject: bug#39595: closed (Re: #39595: M-x compile still very line-length weak)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Feb 2020 11:08:02 +0000

Your bug report

#39595: M-x compile still very line-length weak

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39595: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39595
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: #39595: M-x compile still very line-length weak
From: Mattias Engdegård <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, Stefan Monnier <[email-masked]>, Paul Pogonyshev <[email-masked]>
Date: Mon, 17 Feb 2020 12:07:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

16 feb. 2020 kl. 16.37 skrev 積丹尼 Dan Jacobson <[email-masked]>:

> I bet it does!
> (All I know is I just use Debian sid. So in two years...)

Very well, pushed to emacs-27.

For future work, there seem to be more opportunities for speeding up the remaining regexps. In particular:

* Try to anchor matches at bol when possible.
* Avoid infinite repetitions (of spaces, etc) when the exact amount is known.
* Reject impossible matches as early as possible.

Subject: M-x compile still very line-length weak
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Thu, 13 Feb 2020 13:51:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Compare M-x compile on make aaa vs. make bbb
$ cat Makefile
aaa:; perl -we 'print " "  x 9999;' #finishes right away.
bbb:; perl -we 'print "\n" x 9999;' #takes several seconds, even on the latest hardware.

(Indeed, on even longer lines we even see both the words "exit" and "Compiling" at the same time in the modeline.)
emacs-version "26.3"